<?php

require_once("include/exif_php.inc.php");

// TMB

function addDatePictureTaken(&$rowset)
{
    foreach ($rowset as $key => $row)
    {
        $myfile = "albums/" . $row['filepath'] . $row['filename'];
        $myexif = exif_parse_file($myfile);
        if (isset($myexif['DateTimedigitized']))
        {
            $rowset[$key]['ptime'] = $myexif['DateTimedigitized'];
        }
        else
        {
            
            $rowset[$key]['ptime'] = strftime("%Y:%m:%d %H:%M:%S", $row['ctime']);
        }
    }
}

function sortByDatePictureTaken(&$rowset, $sortCode)
{
    $dir;
    
    switch ($sortCode)
    {
        case 'da':
            $dir = SORT_ASC;
            break;
        case 'dd':
            $dir = SORT_DESC;
            break;
        default:
            return;
    }
    
    foreach ($rowset as $key => $row)
    {
        $ptime[$key] = $row['ptime'];
    }
    //array_multisort($ptime, $dir, $rowset);
    array_key_multi_sort($rowset, 'ptime');
}

function array_key_multi_sort(&$arr, $l , $f='strnatcasecmp') {
       return usort($arr, create_function('$a, $b', "return $f(\$a['$l'], \$b['$l']);"));
}

// TMB

?>
